#
# spec file for package install-initrd (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv installation-images klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           install-initrd
BuildRequires:  installation-images
Version:        1.0
Release:        19.2
License:        GPL
Group:          System/Kernel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Create initrd for Installation
Source:         mkinstallinitrd

%description
You can create an initrd for installation. Useful, for example, to set
up a UML or XEN environment.



%debug_package
%prep

%build

%install
install -d %{buildroot}/usr/lib
install -d %{buildroot}/usr/sbin
cp -a /SuSE/install-initrd %{buildroot}/usr/lib/
install -m 755 %{S:0} %{buildroot}/usr/sbin/mkinstallinitrd

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
/usr/sbin/mkinstallinitrd
/usr/lib/install-initrd

%changelog -n install-initrd
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 12 2005 - snwint@suse.de
- lslezak: added --libdir option (#104339)
* Fri Jul 22 2005 - snwint@suse.de
- added '--initrd' option
- fall back to default config
* Tue Jul 12 2005 - snwint@suse.de
- mkinstallinitrd script works
* Mon Jul 11 2005 - snwint@suse.de
- initial version
